from abc import ABC, abstractmethod
from typing import Dict


class ArchiveServiceIF(ABC):
    """
    The archive service: clients access this to interface with the archive services
    """

    @abstractmethod
    def on_ingestion_complete(self, **message: Dict):
        """
        Catch ingestion-complete events

        :param message: the failure message
        :return:
        """

        raise NotImplementedError